# abstract URLLoaderDataFormat(Null<Int>)

#### package openfl.net

####

Available on all platforms

The URLLoaderDataFormat class provides values that specify how downloaded data is received.

### Variables

###

`inline read onlyBINARY:URLLoaderDataFormat = 0`

Specifies that downloaded data is received as raw binary data.

###

`inline read onlyTEXT:URLLoaderDataFormat = 1`

Specifies that downloaded data is received as text.

###

`inline read onlyVARIABLES:URLLoaderDataFormat = 2`

Specifies that downloaded data is received as URL-encoded variables.